Make proxy optional if running The Foreman and puppet on same box.
Description

It would be nice if the proxy was optional when foreman and puppet master are running on the same box, such as it was when

running 0.4.2.

It was much simpler and less complicated to install, configure, run and maintain foreman this way, and thus far using the proxy has

been quite problematic and buggy.

History

#1 - 07/26/2012 06:27 PM - Corey Osman

Having the proxy enables foreman to scale when the puppet environment scales.  The proxy is especially useful when implementing distributed 

environments utilizing multiple puppet masters, tftp, dhcp, dns.   The proxy should be fairly straight forward to install.  Please add some suggestions

to make the install / setup process easier.  What things did you have difficulty with?

#2 - 09/28/2012 05:16 AM - Anonymous

The design decision to move each managed component out to be a part of the proxy is a very good one. It's not likely to be reversed.

Please let us know what problems you had!

I think this should be closed.

#3 - 12/06/2012 03:45 PM - Benjamin Papillon

- Status changed from New to Rejected

Sorry I close this ticket. The same question has already been asked and rejected.

As the previous poster said, please explain the problem you are trying to solve that way. We may be able to help!
